%global app_root /opt/rh/cfme-gemset

Name:      cfme-gemset
Version:   5.7.2.1
Release:   1%{?dist}
Summary:   CloudForms Management Engine Gemset
Group:     Applications/System
License:   "GPLv2+, Apache Public License 2.0, The MIT License and Ruby License"
URL:       https://github.com/ManageIQ/manageiq
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: x86_64

%description
CloudForms Management Engine Gemset

%build

cat <<"EOF" > enable
export APPLIANCE="true"
export BUNDLE_PATH=/opt/rh/cfme-gemset
export GEM_PATH=/opt/rh/cfme-gemset:$(gem env path)
export PATH=/opt/rh/cfme-gemset/bin:$PATH:/opt/rh/rh-ruby23/root/usr/local/bin/
EOF

cat <<"EOF" > setup
[[ -f /var/www/miq/vmdb/Gemfile.lock ]] && rm -f /var/www/miq/vmdb/Gemfile.lock
ln -s /opt/rh/cfme-gemset/vmdb/Gemfile.lock /var/www/miq/vmdb/Gemfile.lock

[[ -d /var/www/miq/vmdb/.bundle ]] && rm -rf /var/www/miq/vmdb/.bundle
ln -s /opt/rh/cfme-gemset/vmdb/.bundle /var/www/miq/vmdb/.bundle

[[ -d /var/www/miq/vmdb/bin ]] && rm -rf /var/www/miq/vmdb/bin
cp -r /opt/rh/cfme-gemset/vmdb/bin /var/www/miq/vmdb/bin
EOF

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir} -p %{buildroot}%{app_root}
%{__cp} -r bin %{buildroot}%{app_root}
%{__cp} -r build_info %{buildroot}%{app_root}
%{__cp} -r bundler %{buildroot}%{app_root}
%{__cp} -r cache %{buildroot}%{app_root}
%{__cp} -r doc %{buildroot}%{app_root}
%{__cp} -r gems %{buildroot}%{app_root}
%{__cp} -r specifications %{buildroot}%{app_root}
%{__cp} -r vmdb %{buildroot}%{app_root}
install -m644 enable %{buildroot}%{app_root}
install -m644 setup %{buildroot}%{app_root}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{app_root}
%{app_root}/bin
%{app_root}/build_info
%{app_root}/bundler
%{app_root}/cache
%{app_root}/doc
%{app_root}/gems
%{app_root}/specifications
%{app_root}/vmdb
%{app_root}/enable
%{app_root}/setup

%changelog
* Thu Apr 06 2017 Satoe Imaishi <simaishi@redhat.com> - 5.7.2.1-1
- 5.7.2.1-1 build

* Tue Mar 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.7.2.0-1
- 5.7.2.0-1 build

* Tue Feb 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.7.1.3-1
- 5.7.1.3-1 build

* Tue Feb 14 2017 Satoe Imaishi <simaishi@redhat.com> - 5.7.1.2-1
- 5.7.1.2-1 build

* Mon Feb 06 2017 Satoe Imaishi <simaishi@redhat.com> - 5.7.1.1-1
- 5.7.1.1-1 build

* Tue Jan 24 2017 Satoe Imaishi <simaishi@redhat.com> - 5.7.1.0-1
- 5.7.1.0-1 build

* Mon Dec 19 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.17-1
- 5.7.0.17-1 build

* Tue Dec 13 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.16-1
- 5.7.0.16-1 build

* Tue Dec 06 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.14-rc4.1
- 5.7.0.14-rc4.1 build

* Tue Nov 29 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.13-rc3.1
- 5.7.0.13-rc3.1 build

* Wed Nov 23 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.12-rc2.1
- 5.7.0.12-rc2.1 build

* Tue Nov 15 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.11-rc1.1
- 5.7.0.11-rc1.1 build

* Wed Nov 09 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.10-beta3.1
- 5.7.0.10-beta3.1 build

* Tue Nov 01 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.9-beta2.1.1
- 5.7.0.9-beta2.1.1 build

* Tue Oct 25 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.7-beta1.1
- 5.7.0.7-beta1.1 build

* Wed Oct 19 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.6-alpha3.1
- 5.7.0.6-alpha3.1 build

* Fri Oct 14 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.5-alpha2.1
- 5.7.0.5-alpha2.1 build

* Wed Oct 05 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.4-alpha1.1
- 5.7.0.4-alpha1.1 build

* Tue Sep 27 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.3-1
- 5.7.0.3-1 build

* Wed Sep 21 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.2-1
- 5.7.0.2-1 build

* Tue Sep 13 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.1-1
- 5.7.0.1-1 build

* Tue Sep 06 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.0-1
- 5.7.0.0-1 build

* Wed Aug 10 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.1.2-1
- 5.6.1.2-1 build

* Wed Aug 10 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.1.1-1
- 5.6.1.1-1 build

* Tue Jul 26 2016 John Prause <jprause@redhat.com> - 5.6.1.0-1
- 5.6.1.0-1 build

* Fri Jun 24 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.13-1
- 5.6.0.13-1 build

* Tue Jun 21 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.12-1
- 5.6.0.12-1 build

* Tue Jun 14 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.11-rc2.2.1
- 5.6.0.11-rc2.2.1 build

* Tue Jun 07 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.10-rc2.1.1
- 5.6.0.10-rc2.1.1 build

* Tue May 31 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.9-rc2.1
- 5.6.0.9-rc2.1 build

* Tue May 24 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.8-rc1.1
- 5.6.0.8-rc1.1 build

* Mon May 16 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.7-beta2.6.1
- 5.6.0.7-beta2.6.1 build

* Wed May 11 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.6-beta2.5.1
- 5.6.0.6-beta2.5.1 build

* Tue May 03 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.5-beta2.4.1
- 5.6.0.5-beta2.4.1 build

* Thu Apr 21 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.4-beta2.3.1
- 5.6.0.4-beta2.3.1 build

* Wed Apr 20 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.2-beta2.1.1
- 5.6.0.2-beta2.1.1 build

* Wed Apr 13 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.1-beta2.1
- 5.6.0.1-beta2.1 build

* Tue Mar 22 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.0-beta1.1
- 5.6.0.0-beta1.1 build

* Tue Feb 16 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.0-pre.0
- Initial 5.6.0.0 build

* Wed Jan 27 2016 John Prause <jprause@redhat.com> - 5.5.2.4-1
- Building 5.5.2.4-1 - prior build was skipped due to failure

* Thu Jan 21 2016 John Prause <jprause@redhat.com> - 5.5.2.2-1
- Building 5.5.2.2-1

* Thu Jan 14 2016 John Prause <jprause@redhat.com> - 5.5.2.1-1
- Building 5.5.2.1-1

* Tue Dec 22 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.2.0-2
- Building 5.5.2.0-2

* Mon Dec 21 2015 John Prause <jprause@redhat.com> - 5.5.2.0-1
- Building 5.5.2.0-1

* Tue Dec 01 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.13
- Building 5.5.0.13

* Tue Nov 24 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.12-rc2.1
- Building 5.5.0.12 rc2.1

* Tue Nov 17 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.11-rc1.1
- Building 5.5.0.11 rc1.1

* Tue Nov 17 2015 Jason Frey <jfrey@redhat.com> - 5.5.0.10-beta2.1.3
- Split enable script into enable and setup

* Tue Nov 17 2015 Joe VLcek <jvlcek@redhat.com> - 5.5.0.10-beta2.1.2
- Updated enable script to include /opt/rh/rh-ruby22/root/usr/local/bin/ in PATH

* Tue Nov 10 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.10-beta2.1.1
- Building 5.5.0.10 beta2.1.1

* Mon Nov 02 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.9-beta2.1
- Building 5.5.0.9 beta2.1

* Tue Oct 27 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.8-beta1.4.1
- Building 5.5.0.8 beta1.4.1

* Wed Oct 21 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.7-beta1.3.1
- Building 5.5.0.7 beta1.3.1

* Wed Oct 14 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.6-beta1.2.1
- Building 5.5.0.6 beta1.2.1

* Wed Oct 07 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.5-beta1.1.1
- Building 5.5.0.5 beta1.1.1

* Wed Oct 07 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.4-beta1.1
- Building 5.5.0.4 beta1.1

* Tue Sep 29 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.3-alpha1.2.1
- Building 5.5.0.3 alpha1.2.1

* Wed Sep 23 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.2-alpha1.1.1
- Building 5.5.0.2 alpha1.1.1

* Tue Sep 15 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.1-alpha1.1
- Building 5.5.0.1 alpha1

* Fri Sep 11 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.0-alpha.2
- Building 5.5.0.0-alpha.2

* Wed Sep 02 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.0-alpha.1
- Building 5.5.0.0-alpha.1

* Thu Aug 20 2015 John Prause <jprause@redhat.com> - 5.4.2.0-1
- Building 5.4.2.0-1 for 5.4.z

* Fri Jul 17 2015 Satoe Imaishi <simaishi@redhat.com> - 5.4.1.0-1
- Building 5.4.1.0-1 for 5.4.z

* Thu Jun 18 2015 John Prause <jprause@redhat.com> - 5.4.0.0-ga-test2-2
- Building w/ Satoe

* Fri Jun 05 2015 John Prause <jprause@redhat.com> - 5.4.0.5-1
- Build for QE with latest fixes. Updated to 5.4.0.5

* Fri May 29 2015 John Prause <jprause@redhat.com> - 5.4.0.4-1
- Build for QE with latest fixes. Updated to 5.4.0.4

* Tue May 26 2015 John Prause <jprause@redhat.com> - 5.4.0.3-1
- Build for QE with latest fixes. Updated to 5.4.0.3

* Tue May 19 2015 John Prause <jprause@redhat.com> - 5.4.0.2-1
- Build for QE with latest fixes. Updated to 5.4.0.2

* Wed May 13 2015 John Prause <jprause@redhat.com> - 5.4.0.1-1
- Build for QE with latest fixes. Updated to 5.4.0.1

* Mon May 11 2015 John Prause <jprause@redhat.com> - 5.4.0.0.26-1
- Build for QE with latest fixes. Updated to 5.4.0.0-ga-test5

* Mon May 04 2015 John Prause <jprause@redhat.com> - 5.4.0.0.25-1
- Build for QE with latest fixes. Updated to 5.4.0.0-ga-test4

* Tue Apr 28 2015 John Prause <jprause@redhat.com> - 5.4.0.0.24-1
- Build for QE with latest fixes. Updated to 5.4.0.0-ga-test3

* Thu Apr 23 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.23-1
- Updated to version 5.4.0.0-ga-test2

* Mon Apr 20 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.22-1
- Correct libv8 and therubyracer in Gemfile.lock

* Sat Apr 18 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.21-1
- Updated to version 5.4.0.0-ga-test1

* Fri Apr 10 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.19-1
- Updated Gemfiles to not lock down the compiled gems versions

* Fri Apr 10 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.18-1
- beta2b build including the compiled gems

* Thu Apr 09 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.17-1
- beta2b build

* Wed Apr 08 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.16-1
- beta2 build

* Mon Apr 06 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.15-1
- Remove compiled gems

* Wed Mar 25 2015 John Prause <jprause@redhat.com> - 5.4.0.0.14-1
- Third Respin for beta1

* Fri Mar 20 2015 John Prause <jprause@redhat.com> - 5.4.0.0.13-1
- Second Respin for beta1

* Fri Mar 13 2015 John Prause <jprause@redhat.com> - 5.4.0.0.12-1
- Respin for beta1

* Thu Mar 12 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.11-3
- update URL

* Thu Mar 12 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.11-2
- Use postgresql92 and update URL

* Tue Mar 10 2015 John Prause <jprause@redhat.com> - 5.4.0.0.11-1
- Beta1 and end of sprrint 20 build

* Wed Feb 18 2015 John Prause <jprause@redhat.com> - 5.4.0.0.10-1
- Alpha4 and end of sprrint 19 build

* Fri Feb 06 2015 John Prause <jprause@redhat.com> - 5.4.0.0.9-1
- First build for JP

* Wed Feb 04 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-8
- Update enable script

* Fri Jan 30 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-5
- Add manifest file.

* Wed Jan 28 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-4
- Add enable file.

* Mon Jan 26 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-3
- include bundle config file.

* Wed Jan 21 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-2
- set app_root to /opt/rh/cfme-gemset

* Thu Jan 15 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-1
- Initial package

